Gemini Omni Create-Character
提交同步Create Character请求,并在同一响应中接收结果。
概览
提交Create Character请求,并直接使用同一响应返回的结果。
快速开始
- 创建 API Key,并将其设置为 RUNAPI_API_KEY。
- 发送与请求 Schema 匹配的 POST 请求。
- 从成功响应正文中读取结果。
端点
- 基础 URL
https://runapi.ai- API 版本
v1- 身份验证
Authorization: Bearer YOUR_API_TOKEN
支持的模型
打开模型页可查看当前价格、限流和商业使用详情。
请求 Schema
只发送此端点声明的字段。
gemini-omni-character5 个字段
audio_idsarrayAudio preset IDs returned by create-audio.
body_reference_image_urlstringOptional public full-body reference image URL; reference_image_url must provide the portrait.
character_namestringCharacter display name.
边界:210
descriptionsstringCharacter appearance, identity, style, clothing, or personality description.
边界:20000
reference_image_urlstringPublic portrait reference image URL.
成功响应
POST /api/v1/gemini_omni/create_character
响应 Schema
{
"properties": {
"billing": {
"properties": {
"refund": {
"oneOf": [
{
"properties": {
"refunded_at": {
"type": "string"
}
},
"required": [
"refunded_at"
],
"type": "object",
"unevaluatedProperties": false
},
{
"enum": [
null
]
}
]
},
"reservation": {
"oneOf": [
{
"properties": {
"amount_cents": {
"type": "integer"
}
},
"required": [
"amount_cents"
],
"type": "object",
"unevaluatedProperties": false
},
{
"enum": [
null
]
}
]
},
"settlement": {
"oneOf": [
{
"properties": {
"amount_micro_cents": {
"type": "integer"
},
"charged_amount_cents": {
"type": "integer"
}
},
"required": [
"charged_amount_cents",
"amount_micro_cents"
],
"type": "object",
"unevaluatedProperties": false
},
{
"enum": [
null
]
}
]
}
},
"required": [
"reservation",
"settlement",
"refund"
],
"type": "object",
"unevaluatedProperties": false
},
"character": {
"properties": {
"id": {
"description": "Created character identifier.",
"type": "string"
},
"images": {
"description": "Ordered character reference images; portrait first and optional full-body image second.",
"items": {
"properties": {
"url": {
"type": "string",
"x-runapi-generated-media": true
}
},
"required": [
"url"
],
"type": "object",
"unevaluatedProperties": false
},
"maxItems": 2,
"type": "array"
},
"name": {
"description": "Character display name.",
"type": "string"
}
},
"required": [
"id"
],
"type": "object",
"unevaluatedProperties": false
},
"id": {
"description": "Created character identifier.",
"type": "string"
}
},
"required": [
"id",
"character",
"billing"
],
"type": "object",
"unevaluatedProperties": false
}
响应示例
{
"billing": {
"refund": null,
"reservation": null,
"settlement": null
},
"character": {
"id": "chr_reference_presenter",
"images": [
{
"url": "https://cdn.runapi.ai/public/samples/portrait.jpg"
},
{
"url": "https://cdn.runapi.ai/public/samples/image.jpg"
}
],
"name": "Studio Presenter"
},
"id": "chr_reference_presenter"
}
错误
POST /api/v1/gemini_omni/create_character
响应 Schema
{
"properties": {
"error": {
"description": "Human-readable error message.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
响应示例
{
"error": "Authentication required"
}
错误
POST /api/v1/gemini_omni/create_character
响应 Schema
{
"oneOf": [
{
"properties": {
"error": {
"description": "Human-readable error message.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
},
{
"properties": {
"error": {
"description": "Human-readable validation summary.",
"type": "string"
},
"errors": {
"additionalProperties": {
"items": {
"type": "string"
},
"type": "array"
},
"description": "Validation messages keyed by public request field, with an array of human-readable strings for each field.",
"type": "object"
}
},
"required": [
"error",
"errors"
],
"type": "object",
"unevaluatedProperties": false
}
]
}
响应示例
{
"error": "Validation failed",
"errors": {
"descriptions": [
"is required"
]
}
}
错误
POST /api/v1/gemini_omni/create_character
响应 Schema
{
"properties": {
"error": {
"description": "Human-readable error message.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
响应示例
{
"error": "Insufficient balance"
}
错误
POST /api/v1/gemini_omni/create_character
响应 Schema
{
"properties": {
"error": {
"description": "Human-readable error message.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
响应示例
{
"error": "API key credit limit exceeded"
}
错误
POST /api/v1/gemini_omni/create_character
响应 Schema
{
"properties": {
"error": {
"description": "Human-readable error message.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
响应示例
{
"error": "The request uses features that are not supported for the selected model"
}
错误
POST /api/v1/gemini_omni/create_character
响应 Schema
{
"properties": {
"error": {
"description": "Human-readable error message.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
响应示例
{
"error": "Rate limit reached. Please retry later."
}
错误
POST /api/v1/gemini_omni/create_character
响应 Schema
{
"properties": {
"error": {
"description": "Human-readable error message.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
响应示例
{
"error": "Service under maintenance, please try again later"
}
错误
POST /api/v1/gemini_omni/create_character
响应 Schema
{
"properties": {
"error": {
"description": "Human-readable error message.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
响应示例
{
"error": "The request timed out"
}
生成的代码示例
直接使用 cURL,或安装所用语言的 SDK。每个示例都会提交本参考中经过验证的请求。
安装
pip install runapi-gemini-omni
import os
from runapi.gemini_omni import GeminiOmniClient
client = GeminiOmniClient(api_key=os.environ["RUNAPI_API_KEY"])
result = client.create_character.run(
descriptions="A presenter wearing a blue jacket in a bright studio.",
reference_image_url="https://cdn.runapi.ai/public/samples/portrait.jpg",
body_reference_image_url="https://cdn.runapi.ai/public/samples/image.jpg",
character_name="Studio Presenter"
)